CON
  _CLKMODE = XTAL1 + PLL16X            ' compile at 80 MHz
  _XINFREQ = 5_000_000

OBJ

  Mach: "PLA_Test"

VAR
  Long Buf[65]        '<-- buffer in Hub ram
  
PUB Main | i
  i~
  LoadStates(10)
  Mach.Start(@buf)

PUB LoadStates(HowMany) | i, j
  i~
  j~
  repeat HowMany
    repeat 4
      Buf[i] := byte[@State][i++] | (byte[@OutPins][j] << 2 + i & 3) << 9
    j++
  long[Buf][64] := %0011_1111_1111_1100  
return @buf

DAT

State
              byte        36, 24, 04, 00
              byte        08, 36, 04, 00
              byte        08, 12, 16, 36
              byte        08, 12, 36, 20
              byte        08, 36, 16, 00
              byte        36, 12, 04, 20
              byte        28, 24, 36, 00
              byte        28, 24, 32, 36
              byte        28, 36, 32, 00
              byte        36, 36, 36, 36
              
                        '(SbD-I2C-SPI-Stp-Ovr)
OutPins       byte      %00010
              byte      %10000 
              byte      %01000 
              byte      %01000 
              byte      %01000 
              byte      %01000 
              byte      %00100 
              byte      %00100 
              byte      %00100 
              byte      %00001
              